> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Image



## OpenAPI

````yaml /api-reference/openapi.json get /v1/images/{image_id}
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/images/{image_id}:
    get:
      tags:
        - images
      summary: Get Image
      operationId: get_image_v1_images__image_id__get
      parameters:
        - name: image_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Image Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ImageOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        object:
          type: string
          title: Object
          default: image
        org_id:
          type: string
          format: uuid
          title: Org Id
        template_id:
          type: string
          format: uuid
          title: Template Id
        template_version:
          type: integer
          title: Template Version
        status:
          type: string
          title: Status
        modifications:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Modifications
        result_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Url
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
        image_metadata:
          additionalProperties: true
          type: object
          title: Image Metadata
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - org_id
        - template_id
        - template_version
        - status
        - modifications
        - result_url
        - thumbnail_url
        - error
        - duration_ms
        - created_at
        - started_at
        - completed_at
      title: ImageOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````